<?php
/** Exit if accessed directly. */
if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit;
}

final class FSRS_TAB_ACTIVATION {
	private static $instance;

	public function __construct() {
		if ( ! current_user_can( 'manage_options' ) ) {
			return;
		} ?>
		<div class="fsrs-wrapper">
			<div class="fsrs-alert-container fsrs-activate-license"
			     style="padding-bottom: 24px!important; text-align: center">
				<?php
				new FSRS_ACTIVATION(); ?>
			</div>
		</div>
		<?php
	}

	/**
	 * @return mixed
	 */
	public static function getInstance(): FSRS_TAB_ACTIVATION {
		if ( ! isset( self::$instance ) && ! ( self::$instance instanceof self ) ) {

			self::$instance = new self;

		}
		return self::$instance;
	}
}